NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.AME.TypedProductComponent Class Reference

Typed Product Component class More...

Inheritance diagram for NXOpen.AME.TypedProductComponent:
NXOpen.AME.ProductComponent NXOpen.AME.IEngObject NXOpen.AME.AMEBaseNode NXOpen.AME.IPortsContainer NXOpen.AME.AMEExtendedObject NXOpen.AME.INodeObject NXOpen.NXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.AME.TypedProductComponentInstance

Public Member Functions

unsafe NXOpen.AME.AspectNode[] GetAspects ()
 Get the Engineering Object aspects More...
 
unsafe NXOpen.Part GetEngObjectPart ()
 Returns part file of AME.IEngObject More...
 
unsafe NXOpen.AME.IPort[] GetPorts ()
 Returns ports assigned to Object More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.AME.AMEBaseNode
enum  NodeType { Project, Aspect }
 Define the node type More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Detailed Description

Typed Product Component class

This object does not need a creator.

Created in NX1847.0.0

Member Function Documentation

unsafe NXOpen.AME.AspectNode [] NXOpen.AME.TypedProductComponent.GetAspects ( )
inline

Get the Engineering Object aspects

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Returns

Implements NXOpen.AME.IEngObject.

unsafe NXOpen.Part NXOpen.AME.TypedProductComponent.GetEngObjectPart ( )
inline

Returns part file of AME.IEngObject

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Returns

Implements NXOpen.AME.IEngObject.

unsafe NXOpen.AME.IPort [] NXOpen.AME.TypedProductComponent.GetPorts ( )
inline

Returns ports assigned to Object

Created in NX1847.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Returns

Implements NXOpen.AME.IPortsContainer.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.